Package Details: onefetch 2.7.3-1

Git Clone URL: https://aur.archlinux.org/onefetch.git (read-only, click to copy)
Package Base: onefetch
Description: Git repository summary on your terminal
Upstream URL: https://github.com/o2sh/onefetch
Licenses: MIT
Submitter: KingofToasters
Maintainer: KingofToasters (o2sh)
Last Packager: o2sh
Votes: 5
Popularity: 1.47
First Submitted: 2018-11-03 10:27
Last Updated: 2020-11-21 21:41

Latest Comments

yochananmarqos commented on 2020-08-27 01:20

libgit2 is a missing dependency:

Dependency libgit2 detected and not included (libraries ['usr/lib/libgit2.so.1.0'] needed in files ['usr/bin/onefetch'])

gcc-libs and zlib are not needed:

Dependency covered by dependencies from link dependence (gcc-libs)
Dependency covered by dependencies from link dependence (zlib)
Depends as namcap sees them: depends=(libgit2)

The file extension is missing on the source tarball. It should be:

source=("$pkgname-$pkgver.tar.gz::$url/archive/v$pkgver.tar.gz")

hisacro commented on 2020-04-15 03:43

error: no default toolchain configured ==> ERROR: A failure occurred in build(). Aborting...

I got error in the build..

Svenstaro commented on 2019-11-14 03:00

You should use --locked to make sure this is built reproducibly.

o2sh commented on 2019-01-15 20:03

No problem.

KingofToasters commented on 2019-01-11 11:54

Oh, really sorry about that. I was meaning to do it but it just slipped away from me. I'll do that now.

o2sh commented on 2018-11-17 13:55

Thanks for submitting my project...

I don't mind, but you could at least do a PR to add the PKGBUILD to the repo.